/**
 * Represents a lazily evaluated value, i.e. a value that is only evaluated
 * when it is first retrieved.
 */
export default class Lazy<T> {
    private value;
    private evaluated;
    constructor(callback: () => T);
    /**
     * Retrieves the value contained in this Lazy instance.
     * If it has not yet been evaluated, this function will evaluate it.
     */
    get(): T;
}
