// TODO:
/* v8 ignore start */
/**
 * Represents a lazily evaluated value, i.e. a value that is only evaluated
 * when it is first retrieved.
 */
export default class Lazy {
    constructor(callback) {
        this.evaluated = false;
        this.value = callback;
    }
    /**
     * Retrieves the value contained in this Lazy instance.
     * If it has not yet been evaluated, this function will evaluate it.
     */
    get() {
        if (!this.evaluated) {
            this.value = this.value();
            this.evaluated = true;
        }
        return this.value;
    }
}
