import CompareResult from '../numbers/CompareResult.js';
import Duration from './Duration.js';
/**
 * Compares two Dates or their contained millisecond values with each other
 * and returns a result indicating if the first argument is greater, smaller,
 * or equal to the second argument.
 */
export declare function compare(a: Date | number, b: Date | number): CompareResult;
/**
 * Adds a {@link Duration} to a {@link Date} and
 * returns a new {@link Date} representing the result.
 */
export declare function add(a: Date, b: Duration): Date;
/**
 * Subtracts a {@link Duration} from a {@link Date} and
 * returns a new {@link Date} representing the result.
 */
export declare function sub(a: Date, b: Duration): Date;
